
 Include CSS in HTML
 - Inline Styling
 - Internal Styling
 - External CSS	(recommended)
*/

/*CSS Selectors*/
/*Universal Selector (*) - target all elements.*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/* Type Selector (<tag name>)- target elements with the specified type/tag name */
h1 {
	color: yellow !important;
	/*!important property overwride CSS styling*/
}

/*ID Selector - target elements according to its id attribute; ideally used for targeting a unique element*/
#zuitt-moto {
	letter-spacing: 5px;
}

/*Class Selector (.class-name) - targets elements according to its class attribute; ideally used for multiple at once.*/

.offering-item {
	text-transform: uppercase;
}

/*Attribute selector - target elements with a specified element attribute; use to target element with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}

h3 + img {
	height:  300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/
#boothcamp-learning-list li{
	color: red;
}

h2 ~ a{
	text-decoration:  none;
}

/*CSS Selector Combinators*/
/*Descendant Selector (white space) - matches all elements that are descendants of a specified elements
div p{
	background-color: red;
}*/
/*#parent p{
	background-color: red;
}*/

/*Child Selector (>)*/
/*select all elements that are direct children of a specified element*/
/*div > p{
	background-color: red;
}*/

/*#parent > p{
	background-color: red;
}*/

/*General Sibling Selector (~)*/
/*selection all element that are nest to siblings of a specified element*/
/*p ~ p {
	background-color: red;
}*/
/*p ~ section {
	background-color: red;
}*/

/*Adjacent Sibling Selector (+) - select an element that is directly after 
another specific element*/
/*p + p {
	background-color: red;
}*/

/*div + p{
	background-color: red;
}